<?php
require_once("../conexion.php");

$clienteID = $_GET["cliente"] ?? "";
$numeroFacturaDesde = $_GET['numeroFacturaDesde'] != '' ? $_GET['numeroFacturaDesde'] : 0;
$numeroFacturaHasta = $_GET['numeroFacturaHasta'] != '' ? $_GET['numeroFacturaHasta'] : PHP_INT_MAX;
$estado = $_GET["estado"] ?? "";
$metodo = $_GET["metodo"] ?? "";

$estadoParam = "%$estado%";
$metodoParam = "%$metodo%";

$query = "SELECT facturas.ID, clientes.nombre, clientes.apellido, facturas.numero_factura, facturas.fecha, facturas.fecha_limite_pago, facturas.estado, facturas.metodo_pago, facturas.total FROM facturas JOIN clientes ON facturas.id_cliente=clientes.ID WHERE numero_factura BETWEEN ? AND ? AND estado LIKE ? AND metodo_pago LIKE ?";
$types = "iiss";
$params = array($numeroFacturaDesde, $numeroFacturaHasta, $estadoParam, $metodoParam);

if ($clienteID) {
    $query .= ' AND facturas.id_cliente = ?';
    $types .= 'i';
    $params[] = $clienteID;
}

$stmt = $conexion->prepare($query);
$stmt->bind_param($types, ...$params);
$stmt->execute();
$result = $stmt->get_result();

foreach ($result as $factura) { ?>
    <tr>
        <td><?= $factura['ID'] ?></td>
        <td><?= $factura['nombre'] ?> <?= $factura['apellido'] ?></td>
        <td><?= $factura['numero_factura'] ?></td>
        <td><?= $factura['fecha'] ?></td>
        <td><?= $factura['fecha_limite_pago'] ?></td>
        <td><?= $factura['estado'] ?></td>
        <td><?= $factura['metodo_pago'] ?></td>
        <td><?= $factura['total'] ?>€</td>
        <td>
            <a href="ver_facturaUnica.php?id=<?= $factura["ID"] ?>" class="btn btn-primary"><i class="bi bi-eye-fill"></i></a>
            <button data-id="<?= $factura['ID'] ?>" id="actualizarFacturas" data-bs-toggle="modal" data-bs-target="#editarFacturas" class='btn btn-warning'><i class="bi bi-pencil-square"></i></button>
        </td>
    </tr>
<?php } ?>