<?php
include_once "../conexion.php";

$facturaID = $_POST["id"];

$stmt = $conexion->prepare("SELECT * FROM facturas WHERE ID = ?");
$stmt->bind_param("i", $facturaID);
$stmt->execute();

$result = $stmt->get_result();

$factura = mysqli_fetch_assoc($result);

$stmt = $conexion->prepare("SELECT * FROM clientes");
$stmt->execute();

$clientes = $stmt->get_result();
?>

<div class="modal-header">
    <h5 class="modal-title">Editar factura # <?= $factura["ID"] ?></h5>
</div>

<div class="modal-body">
    <form id="formFacturas">
        <input type="hidden" name="id" value="<?= $factura["ID"] ?>">
        <h3>Cliente</h3>
        <select class="form-select" aria-label="Default select example" name="cliente" id="cliente">
            <?php foreach ($clientes as $cliente) { ?>
                <option value="<?= $cliente["ID"] ?>" <?= $cliente["ID"] == $factura["id_cliente"] ? "selected" : "" ?>>
                    <?= $cliente["nombre"] ?> <?= $cliente["apellido"] ?>
                </option>
            <?php } ?>
        </select>
        <div class="mb-3">
            <label for="numero" class="form-label">Número de factura</label>
            <input type="text" class="form-control" name="numero_factura" id="numero_factura" value="<?= $factura["numero_factura"] ?>">
        </div>

        <div class="mb-3">
            <label for="fecha" class="form-label">Fecha de facturación</label>
            <input type="date" class="form-control" name="fecha_facturación" id="fecha_facturacion" value="<?= $factura["fecha"] ?>">
        </div>
        <div class="mb-3">
            <label for="fecha" class="form-label">Fecha limite</label>
            <input type="date" class="form-control" name="fecha_limite" id="fecha_limite" value="<?= $factura["fecha_limite_pago"] ?>">
        </div>

        <div class="mb-3">
            <label for="estado" class="form-label">Estado</label>
            <select class="form-select" name="estado" id="estado">
                <option value="" disabled>Selecciona una opción</option>
                <option value="Pendiente" <?= $factura["estado"] == "Pendiente" ? "selected" : "" ?>>Pendiente</option>
                <option value="Pagado" <?= $factura["estado"] == "Pagado" ? "selected" : "" ?>>Pagado</option>
            </select>
        </div>

        <div class="mb-3">
            <label for="metodo_pago" class="form-label">Método de pago</label>
            <select class="form-select" name="metodo_pago" id="metodo_pago">
                <option value="" disabled>Selecciona una opción</option>
                <option value="Efectivo" <?= $factura["metodo_pago"] == "Efectivo" ? "selected" : "" ?>>Efectivo</option>
                <option value="Tarjeta" <?= $factura["metodo_pago"] == "Tarjeta" ? "selected" : "" ?>>Tarjeta</option>
            </select>
        </div>

        <div class="mb-3">
            <label for="importe" class="form-label">Total</label>
            <input type="number" class="form-control" name="total" id="total" value="<?= $factura["total"] ?>">
        </div>
    </form>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
    <button type="submit" class="btn btn-primary" form="formFacturas">Actualizar factura</button>
</div>