<?php
include("backend/include.php");
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Clientes</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css">
    <link rel="stylesheet" href="assets/css/styles.css">
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
    <link rel="icon" type="image/png" href="https://e7.pngegg.com/pngimages/543/697/png-clipart-person-computer-icons-youtube-avatar-person-people-computer-wallpaper-monochrome-thumbnail.png">

</head>

<body>
    <?php include('views/sidebar.php'); ?>

    <div class="main-content">
        <?php include('views/navbar.php'); ?>

        <div class="content">

            <div class="row">
                <div class="col-12">
                    <div class="input-group mb-4">
                        <button type="submit" class="btn btn-danger" id="clear"><i class="bi bi-trash3-fill"></i><i class="bi bi-search"></i></button>
                        <input type="text" class="form-control" id="buscadorNombre" placeholder="Nombre">
                        <input type="text" class="form-control" id="buscadorApellido" placeholder="Apellido">
                        <input type="text" class="form-control" id="buscadorCiudad" placeholder="Ciudad">
                        <input type="text" class="form-control" id="buscadorTelefono" placeholder="Número teléfonico">
                        <input type="text" class="form-control" id="buscadorEmail" placeholder="Email">
                        <input type="text" class="form-control" id="buscadorDNI" placeholder="DNI">
                        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalInsertar"><i class="bi bi-plus-circle-fill"></i></button>
                    </div>
                </div>
            </div>

            <div class="table-responsive">

                <table class="table table-striped text-center align-middle">
                    <thead class="table-dark">
                        <th>ID</th>
                        <th>Nombre</th>
                        <th>Apellido</th>
                        <th>Ciudad</th>
                        <th>Teléfono</th>
                        <th>Email</th>
                        <th>DNI</th>
                        <th>Acciones</th>
                    </thead>
                    <tbody id="resultados"></tbody>
                </table>
            </div>

        </div>
    </div>

    <!-- Añaidr Cliente MODAL -->
    <div class="modal fade" id="modalInsertar" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="modalInsertarLabel">Añadir cliente nuevo</h1>
                </div>
                <div class="modal-body">
                    <form id="insertarClientes">
                        <label for="nombre">Nombre</label>
                        <input type="text" name="nombre" class="form-control" required>
                        Apellido
                        <input type="text" name="apellido" class="form-control" required>
                        Ciudad
                        <input type="text" name="ciudad" class="form-control" required>
                        Teléfono
                        <input type="text" name="telefono" class="form-control" required>
                        Email
                        <input type="email" name="email" class="form-control" required>
                        DNI
                        <input type="text" name="DNI" class="form-control" required>

                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                    <button type="submit" form="insertarClientes" class="btn btn-primary" id="addClientes">Añadir clientes</button>
                </div>
            </div>
        </div>
    </div>

    <div id="respuesta"></div>
    <!-- Modal edit -->
    <div class="modal fade" id="editarClientes" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content" id="contenidoModal">
                vxcv
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Información de tu perfil</h1>
                </div>
                <div class="modal-body">
                    Nombre: <?= $user_data['nombre'] ?> <br>
                    Apellido: <?= $user_data['apellido'] ?> <br>
                    Correo: <?= $user_data['correo'] ?> <br>
                    Teléfono: <?= $user_data['telefono'] ?> <br>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/main.js"></script>
    <script>
        const buscarClientes = function() {
            $.ajax({
                type: "GET",
                url: "backend/clientes/listar_clientes.php",
                data: {
                    nombre: $("#buscadorNombre").val(),
                    apellido: $("#buscadorApellido").val(),
                    ciudad: $("#buscadorCiudad").val(),
                    telefono: $("#buscadorTelefono").val(),
                    email: $("#buscadorEmail").val(),
                    DNI: $("#buscadorDNI").val(),
                },
                success: function(r) {
                    $("#resultados").html(r);
                },
                error: function() {
                    alert("No se han podido cargar los datos correctamente");
                }
            })
        }

        $("#insertarClientes").on("submit", function(e) {
            e.preventDefault();
            $.ajax({
                type: "POST",
                url: "backend/clientes/insertar_cliente.php",
                data: $(this).serialize(),
                success: function(r) {
                    $("#respuesta").html(r);
                    buscarClientes();
                },
                error: function() {
                    alert("No se ha podido añadir al cliente");
                }
            });
        });

        $(document).on("click", "#actualizar", function() {
            $("#contenidoModal").html("");
            $.ajax({
                type: "POST",
                url: "backend/clientes/modal_clientes.php",
                data: {
                    id: $(this).data("id")
                },
                success: function(respuesta) {
                    $("#contenidoModal").html(respuesta);
                },
                error: function() {
                    alert("Error al buscar al cliente");
                }
            });
        });

        $(document).on("submit", "#formClientes", function(e) {
            e.preventDefault();
            $.ajax({
                type: "POST",
                url: "backend/clientes/update_clientes.php",
                data: $(this).serialize(),
                success: function(r) {
                    alert(r);
                    buscarClientes();
                },
                error: function(e) {
                    alert("Error: " + e);
                }
            });
        });

        $(document).ready(function() {
            buscarClientes();

            $("#buscadorNombre, #buscadorApellido, #buscadorCiudad, #buscadorTelefono, #buscadorEmail, #buscadorDNI").on("input", function() {
                buscarClientes();
            });

            $(document).on("click", "#clear", function() {
                $("#buscadorNombre").val("");
                $("#buscadorApellido").val("");
                $("#buscadorCiudad").val("");
                $("#buscadorTelefono").val("");
                $("#buscadorEmail").val("");
                $("#buscadorDNI").val("");
                buscarClientes();
            })

        })
    </script>
</body>

</html>