<?php
include("backend/include.php");
include("backend/conexion.php");

$stmt = $conexion->prepare("SELECT * FROM clientes");
$stmt->execute();

$clientes = $stmt->get_result();

$stmt = $conexion->prepare("SELECT * FROM facturas");
$stmt->execute();

$facturas = $stmt->get_result();
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Facturas</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css">
    <link rel="stylesheet" href="assets/css/styles.css">
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
</head>

<body>
    <?php include('views/sidebar.php'); ?>

    <div class="main-content">
        <?php include('views/navbar.php'); ?>
        <div class="content">
            <div class="row">
                <div class="col-2">
                    <select class="form-select" aria-label="Default select example" id="buscadorCliente">
                        <option value="" selected>Buscar por cliente</option>
                        <?php
                        foreach ($clientes as $cliente) {
                        ?>
                            <option value='<?= $cliente["ID"] ?>' <?= $cliente["ID"] ?: "" ?>><?= $cliente["nombre"] ?> <?= $cliente["apellido"] ?></option>
                        <?php
                        }
                        ?>
                    </select>

                </div>
                <div class="col-2">
                    <input type="number" class="form-control" id="buscadorNumero_facturaDesde" placeholder="Buscar desde el número factura">

                </div>
                <div class="col-2">

                    <input type="number" class="form-control" id="buscadorNumero_facturaHasta" placeholder="Buscar hasta el número factura">
                </div>
                <div class="col-2">

                    <select class="form-select" aria-label="Default select example" id="buscadorEstado">
                        <option value="" selected>Buscar por estado de pago</option>
                        <option value="Pagado">Pagado</option>
                        <option value="Pendiente">Pendiente</option>
                    </select>
                </div>
                <div class="col-2">
                    <select class="form-select" aria-label="Default select example" id="buscadorMetodo">
                        <option value="" selected>Buscar por metodo de pago</option>
                        <option value="Tarjeta">Tarjeta</option>
                        <option value="Efectivo">Efectivo</option>
                    </select>

                </div>
                <div class="col-2">
                     <button type="button" class="btn btn-danger" id="reiniciarBuscador"><i class="bi bi-trash"></i><i class="bi bi-search"></i></button>
                </div>
            </div>
            <div style="margin-top: 30px;">
                <center>
                    <h2>Lista de facturas</h2>
                </center>
            </div>

            <table class="table table-striped">
                <thead class="table">
                    <th>ID</th>
                    <th>factura</th>
                    <th>Número de la factura</th>
                    <th>Fecha de facturación</th>
                    <th>Fecha limite de pago</th>
                    <th>Estado de pago</th>
                    <th>Metodo de pago</th>
                    <th>Total</th>
                    <th>Acciones</th>
                </thead>
                <tbody id="resultados">
                </tbody>
            </table>
            <center>
                <a href="insertar_facturas.php" class="btn btn-primary"><i class="bi bi-plus-square-fill"></i>Añadir nueva factura</a>
            </center>
        </div>

        <!-- Modal perfil-->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h1 class="modal-title fs-5" id="exampleModalLabel">Información de tu perfil</h1>
                    </div>
                    <div class="modal-body">
                        Nombre: <?= $user_data['nombre'] ?> <br>
                        Apellido: <?= $user_data['apellido'] ?> <br>
                        Correo: <?= $user_data['correo'] ?> <br>
                        Teléfono: <?= $user_data['telefono'] ?> <br>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal edit -->
        <div class="modal fade" id="editarFacturas" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" id="contenidoModal">
                        
                </div>
            </div>
        </div>

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
        <script src="assets/js/main.js"></script>
        <script>
            const buscarfacturas = function() {
                $.ajax({
                    type: "GET",
                    url: "backend/facturas/listar_facturas.php",
                    data: {
                        cliente: $("#buscadorCliente").val(),
                        numeroFacturaDesde: $("#buscadorNumero_facturaDesde").val(),
                        numeroFacturaHasta: $("#buscadorNumero_facturaHasta").val(),
                        estado: $("#buscadorEstado").val(),
                        metodo: $("#buscadorMetodo").val(),
                    },
                    success: function(r) {
                        $("#resultados").html(r);
                    },
                    error: function() {
                        alert("No se han podido cargar los datos correctamente");
                    }
                })
            }

            $(document).on("click", "#actualizarFacturas", function() {
                $("#contenidoModal").html("");
                $.ajax({
                    type: "POST",
                    url: "backend/facturas/modal_facturas.php",
                    data: {
                        id: $(this).data("id")
                    },
                    success: function(respuesta) {
                        $("#contenidoModal").html(respuesta);
                    },
                    error: function() {
                        alert("Error al buscar al factura");
                    }
                });
            });

            $(document).on("submit", "#formFacturas", function(e) {
                e.preventDefault();
                $.ajax({
                    type: "POST",
                    url: "backend/facturas/update_facturas.php",
                    data: $(this).serialize(),
                    success: function(r) {
                        alert(r);
                        buscarfacturas();
                    },
                    error: function(e) {
                        alert("Error: " + e);
                    }
                });
            });

            $("#reiniciarBuscador").on("click", function() {
                $("#buscadorCliente").val("");
                $("#buscadorNumero_facturaDesde").val("");
                $("#buscadorNumero_facturaHasta").val("");
                $("#buscadorEstado").val("");
                $("#buscadorMetodo").val("");
                buscarfacturas();
            });
            

            $("#buscadorCliente,#buscadorNumero_facturaDesde,#buscadorNumero_facturaHasta,#buscadorEstado,#buscadorMetodo").on("input", function() {
                buscarfacturas();
            });
            $(document).ready(function() {
                buscarfacturas();
            });
        </script>
</body>

</html>