<?php
include("backend/conexion.php");

$stmt = $conexion->prepare("SELECT * FROM clientes");
$stmt->execute();

$clientes = $stmt->get_result();

include("backend/include.php");

$hoy = date("Y-m-d");
$limite = date("Y-m-d", strtotime("+30 days"));

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulario</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css">
    <link rel="stylesheet" href="assets/css/styles.css">
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
</head>

<body>
    <?php include('views/sidebar.php'); ?>

    <div class="main-content">
        <?php include('views/navbar.php'); ?>
        <div class="content">

            <div class="card">
                <div class="card-body">
                    <form id="add_factura">
                        <div class="row">
                            <div class="mb-4">
                                <h3>Cliente</h3>
                                <select class="form-select" aria-label="Default select example" name="cliente" id="cliente">
                                    <option value="" selected>Selecciona el cliente</option>
                                    <?php
                                    foreach ($clientes as $cliente) {
                                    ?>
                                        <option value='<?= $cliente["ID"] ?>'><?= $cliente["nombre"] ?> <?= $cliente["apellido"] ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="mb-4 col-4">
                                <h3>Número de la factura</h3>
                                <input class="form-control" type="text" placeholder="Cual es el numero de tu factura" name="numero_factura" id="numero_factura" required>
                            </div>
                            <div class="mb-4 col-4">
                                <h3>Fecha de facturación</h3>
                                <input class="form-control" type="date" name="fecha_factura" id="fecha_factura" value="<?= $hoy ?>" required>
                            </div>
                            <div class="mb-4 col-4">
                                <h3>Fecha de limite para realizar el pago</h3>
                                <input class="form-control" type="date" name="fecha_limite" id="fecha_limite" value="<?= $limite ?>" required>
                            </div>
                            <div class="mb-4 col-6">
                                <h3>Metodo del pago</h3>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="pago" id="tarjeta" value="Tarjeta" required>
                                    <label class="form-check-label" for="tarjeta">Tarjeta</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="pago" id="efectivo" value="Efectivo" required>
                                    <label class="form-check-label" for="efectivo">Efectivo</label>
                                </div>
                            </div>
                            <div class="mb-4 col-6">
                                <h3>Estado del pago</h3>
                                <div class="mb-3">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="radio" name="estado" id="por_pagar" value="Pendiente" required>
                                        <label class="form-check-label" for="pendiente">Pendiente</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="radio" name="estado" id="pagado" value="Pagado" required>
                                        <label class="form-check-label" for="pagado">Pagado</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 my-2">
                                <div class="row">
                                    <h3>Detalles de la factura</h3>

                                    <div class="col-md-5">
                                        <input type="text" id="producto" class="form-control" placeholder="Nombre del producto o servicio" required>
                                    </div>
                                    <div class="col-md-3">
                                        <input type="number" id="cantidad" class="form-control" placeholder="Cantidad" required>
                                    </div>
                                    <div class="col-md-3">
                                        <input type="boolean" id="precio_unitario" class="form-control" placeholder="Precio unitario" required>
                                    </div>
                                    <div class="col-md-1">
                                        <button type="button" class="btn btn-primary" id="agregarProducto">Añadir</button>
                                    </div>

                                    <div class="row mt-3">
                                        <table class="table table-striped">
                                            <thead>
                                                <tr>
                                                    <th>Producto</th>
                                                    <th>Cantidad</th>
                                                    <th>Precio Unitario</th>
                                                    <th>Subtotal</th>
                                                </tr>
                                            </thead>
                                            <tbody id="detallesFactura">
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 mb-4">
                            <h3>Total del pago</h3>
                            <input class="form-control" type="text" name="total" id="total" value="0€" readonly>
                        </div>
                        <div class="text-center">
                            <button type="submit" class="btn btn-primary" id="addFactura">Añadir factura</button>
                        </div>
                </div>
                </form>
                <div id='mensaje'></div>
            </div>
        </div>
    </div>
    </div>

    <!-- Modal Perfil-->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Información de tu perfil</h1>
                </div>
                <div class="modal-body">
                    Nombre: <?= $user_data['nombre'] ?> <br>
                    Apellido: <?= $user_data['apellido'] ?> <br>
                    Correo: <?= $user_data['correo'] ?> <br>
                    Teléfono: <?= $user_data['telefono'] ?> <br>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/main.js"></script>

    <script>
        

        let total = 0;
        let productos = [];

        $("#agregarProducto").on("click", function() {
            subtotal = $("#cantidad").val() * $("#precio_unitario").val();

            let producto = {
                producto: $("#producto").val(),
                cantidad: $("#cantidad").val(),
                precio_unitario: $("#precio_unitario").val(),
                subtotal: subtotal
            }
            productos.push(producto)

            let html = `<tr>
                            <td>${producto.producto}</td>
                            <td>${producto.cantidad}</td>
                            <td>${producto.precio_unitario}€</td>
                            <td>${producto.subtotal}€</td>
                        </tr>`

            $("#detallesFactura").append(html);
            total += subtotal;
            $("#total").val(total + "€");
        })

        $("#add_factura").on("submit", function(e) {
            e.preventDefault();
            form = $(this).serializeArray();

            data = {}

            form.forEach(dato => {
                let key = dato.name
                let value = dato.value

                data[key] = dato.value
            });
            
            data["productos"]= productos

            $.ajax({
                type: "POST",
                url: "backend/procesar_formulario.php",
                data: $(this).serialize(),
                success:function(r){
                    $("#mensaje").html(r);
                },
                error: function() {
                    alert("Error al enviar el formulario")
                }
            })
        })
        
    </script>
</body>

</html>