<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Referente</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css">
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>

    <style>
        body {
            display: flex;
            height: 100vh;
            width: 100vw;
        }

        .sidebar {
            height: 100%;
            width: 250px;
            background-color: white;
            transition: width 0.3s ease;
        }

        .sidebar.closed {
            width: 100px;
        }

        .sidebar .sidebar-header {
            display: flex;
            width: 100%;
            height: 90px;
            align-items: center;
            padding: 10px;
            justify-content: space-between;
            border-bottom: 1px solid rgba(0, 0, 0, 0.1);
        }

        .sidebar-bg {
            display: none;
        }

        .main-content {
            background-color: #f5f5f5;
            height: 100%;
            width: 100%;
        }

        .navbar {
            background-color: white;
            height: 90px;
            padding: 15px 25px;
            display: flex;
            justify-content: space-between;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            -webkit-box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            -moz-box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        .menu-icon {
            font-size: 24px;
        }

        .content {
            padding: 20px;
            margin-top: 10px
        }

        #menuToggleMobile {
            display: none;
        }

        .btn-mobile-close {
            display: none;
        }


        @media (max-width: 767.5px) {
            .sidebar {
                position: fixed;
                transition: transform 0.3s ease;
                transform: translateX(-100%);
                z-index: 9999;
            }

            .sidebar.mobile-open {
                transform: translateX(0);
            }

            .btn-mobile-close {
                display: block;
            }

            #menuToggle {
                display: none;
            }

            #menuToggleMobile {
                display: block;
            }

            .sidebar-bg {
                position: fixed;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background-color: rgba(0, 0, 0, 0.5);
                z-index: 9998;
                display: none;
            }

            .sidebar.mobile-open+.sidebar-bg {
                display: block;
            }


        }
    </style>


</head>

<body>

    <div class="sidebar">
        <div class="sidebar-header">
            <h2>Logo</h2>
            <button class="btn btn-mobile-close" id="closeMobile"><i class="bi bi-x"></i></button>
        </div>

        <div class="sidebar-menu">
            <ul>
                <li><a href="#"><i class="bi bi-house"></i> Home</a></li>
                <li><a href="#"><i class="bi bi-person"></i> Profile</a></li>
                <li><a href="#"><i class="bi bi-gear"></i> Settings</a></li>
                <li><a href="#"><i class="bi bi-question-circle"></i> Help</a></li>
            </ul>
        </div>


    </div>
    <div class="sidebar-bg"></div>

    <div class="main-content">

        <nav class="navbar">

            <div class="navbar-izquierda">
                <button type="button" id="menuToggle" class="btn">
                    <i class="bi bi-list menu-icon"></i>
                </button>
                <button type="button" id="menuToggleMobile" class="btn">
                    <i class="bi bi-list menu-icon"></i>
                </button>
            </div>

            <div class="navbar-derecha">
                <button type="button" class="btn">
                    <i class="bi bi-power"></i>
                </button>
            </div>


        </nav>

        <div class="content">

            <div class="row">
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <h3>holo</h3>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <h3>holo</h3>
                        </div>
                    </div>
                </div>
            </div>

        </div>


    </div>



    <script>
        $('#menuToggle').on('click', function() {
            $('.sidebar').toggleClass('closed')
        })
        $('#menuToggleMobile').on('click', function() {
            $('.sidebar').toggleClass('mobile-open')
        })
        $('#closeMobile').on('click', function() {
            $('.sidebar').removeClass('mobile-open')
        })
    </script>

</body>

</html>