<?php
include("backend/include.php");
include("backend/conexion.php");

// Recoger el id de la factura de la URL
$idFactura = $_GET['id'] ?? "";

// Obtener la factura seleccionada
$stmt = $conexion->prepare("SELECT * FROM facturas WHERE ID = ?");
$stmt->bind_param("i", $idFactura);
$stmt->execute();
$factura = $stmt->get_result()->fetch_assoc();

// Obtener el cliente de esa factura
$stmt = $conexion->prepare("SELECT * FROM clientes WHERE ID = ?");
$stmt->bind_param("i", $factura['id_cliente']);
$stmt->execute();
$cliente = $stmt->get_result()->fetch_assoc();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Facturas</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css">
    <link rel="stylesheet" href="assets/css/styles.css">
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>

    <style>
        .din-a4 {
            width: 178mm;
            height: 204mm;
            margin: 0 auto;
            padding: 20px;
            box-sizing: border-box;
        }

        .footer {
            margin-top: 55%;
            text-align: end
        }
    </style>
</head>

<body>
    <?php include('views/sidebar.php'); ?>

    <div class="main-content">
        <?php include('views/navbar.php'); ?>

        <div class="content">
            <div class="row">
                <div class="card din-a4">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-6 text-center mb-4">
                                <h3>Datos del cliente</h3>
                                Cliente: <?= $cliente['nombre'] ?> <?= $cliente['apellido'] ?> <br>
                                Mail: <?= $cliente['email'] ?> <br>
                                Localidad: <i class="bi bi-geo-alt"></i><?= $cliente['ciudad'] ?> <br>
                                Teléfono: <i class="bi bi-telephone"></i><?= $cliente['telefono'] ?> <br>
                            </div>
                            <div class="col-6">
                                <h3 class="text-center">Datos de la empresa</h3>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6 text-center mb-4">
                                <h3>Fecha inicio factura</h3><?= $factura['fecha'] ?>
                            </div>
                            <div class="col-6 text-center mb-4">
                                <h3>Fecha fin de la factura</h3><?= $factura['fecha_limite_pago'] ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12 text-center mb-4">
                                <h3>Datos de la factura</h3>
                                <table class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>Producto</th>
                                            <th>cantidad</th>
                                            <th>Precio unitario</th>
                                            <th>subtotal</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="footer">
                            <p>Factura <?= $factura["numero_factura"] ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal perfil-->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Información de tu perfil</h1>
                </div>
                <div class="modal-body">
                    Nombre: <?= $user_data['nombre'] ?> <br>
                    Apellido: <?= $user_data['apellido'] ?> <br>
                    Correo: <?= $user_data['correo'] ?> <br>
                    Teléfono: <?= $user_data['telefono'] ?> <br>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/main.js"></script>

</body>

</html>